Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD

## javax.ejb
Enum TransactionAttributeType

    java.lang.Object
      java.lang.Enum<TransactionAttributeType>
          javax.ejb.TransactionAttributeType

All Implemented Interfaces:
  java.io.Serializable, java.lang.Comparable<TransactionAttributeType>

    public enum TransactionAttributeType

extends java.lang.Enum<TransactionAttributeType>

Enum for the types of TransactionAttributes

Version:
  $Revision: 1.5.2.6 $
Author:
  Bill Burke

Enum Constant Summary
`MANDATORY`
`NEVER`
`NOT_SUPPORTED`
`REQUIRED`
`REQUIRES_NEW`
`SUPPORTS`

Method Summary
`static TransactionAttributeType` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
`static TransactionAttributeType[]` | `values()` Returns an array containing the constants of this enum type, in the order they're declared.

Methods inherited from class java.lang.Enum
`clone, compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

Methods inherited from class java.lang.Object
`finalize, getClass, notify, notifyAll, wait, wait, wait`

Enum Constant Detail

### MANDATORY

    public static final TransactionAttributeType MANDATORY

### REQUIRED

    public static final TransactionAttributeType REQUIRED

### REQUIRES_NEW

    public static final TransactionAttributeType REQUIRES_NEW

### SUPPORTS

    public static final TransactionAttributeType SUPPORTS

### NOT_SUPPORTED

    public static final TransactionAttributeType NOT_SUPPORTED

### NEVER

    public static final TransactionAttributeType NEVER

Method Detail

### values

    public static final TransactionAttributeType[] values()

  Returns an array containing the constants of this enum type, in the order they're declared. This method may be used to iterate over the constants as follows:

      for(TransactionAttributeType c : TransactionAttributeType.values())
              System.out.println(c);

  Returns:
    an array containing the constants of this enum type, in the order they're declared

### valueOf

    public static TransactionAttributeType valueOf(java.lang.String name)

  Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)

  Parameters:
    `name` - the name of the enum constant to be returned.
  Returns:
    the enum constant with the specified name
  Throws:
    `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | ENUM CONSTANTS | FIELD | METHOD | DETAIL: ENUM CONSTANTS | FIELD | METHOD